Index: trunk/grails-app/views/inventoryItemDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 720)
+++ trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 727)
@@ -58,5 +58,4 @@
                 <richui:tabLabels>
                     <richui:tabLabel selected="${showTab.inventory}" title="Inventory Item" />
-                    <richui:tabLabel selected="${showTab.detail}" title="Detail" />
                     <g:if test="${!inventoryMovementList.isEmpty()}">
                         <richui:tabLabel selected="${showTab.movement}" title="Movement (${inventoryMovementList.size()})" />
@@ -133,8 +132,8 @@
 
                                     <tr class="prop">
-                                        <td valign="top" class="name">Picture:</td>
+                                        <td valign="top" class="groupName">Picture:</td>
                                         <td valign="top" class="value">
                                             <g:if test="${inventoryItemInstance.picture}" >
-                                                <span class='gallery'><wa:pictureLightboxAnchor picture="${inventoryItemInstance.picture}" size="${Image.Medium}" lightboxSize="${Image.Large}" target="_blank" title="Show Original" /></span>
+                                                <span class='gallery'><wa:pictureLightboxAnchor picture="${inventoryItemInstance.picture}" size="${Image.Small}" lightboxSize="${Image.Large}" target="_blank" title="Show Original" /></span>
                                             </g:if>
                                             <g:else>
@@ -149,5 +148,5 @@
 
                                     <tr class="prop">
-                                        <td valign="top" class="name">Comment:</td>
+                                        <td valign="top" class="groupName">Comment:</td>
 
                                         <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'comment')}</td>
@@ -155,5 +154,5 @@
 
                                     <tr class="prop">
-                                        <td valign="top" class="name">In Stock:</td>
+                                        <td valign="top" class="groupName">In Stock:</td>
 
                                         <td valign="top" class="value">
@@ -163,5 +162,5 @@
 
                                     <tr class="prop">
-                                        <td valign="top" class="name">Location:</td>
+                                        <td valign="top" class="groupName">Location:</td>
 
                                         <td valign="top" class="value">
@@ -174,5 +173,23 @@
 
                                     <tr class="prop">
-                                        <td valign="top" class="name">Active:</td>
+                                        <td valign="top" class="groupName">Inventory Group:</td>
+                                        <td valign="top" class="value">${inventoryItemInstance.inventoryGroup?.encodeAsHTML()}</td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Inventory Type:</td>
+                                        <td valign="top" class="value">${inventoryItemInstance.inventoryType?.encodeAsHTML()}</td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupHeader">
+                                            <label for="name">Reorder Details</label>
+                                        </td>
+                                        <td valign="top" class="value">
+                                        </td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Active:</td>
 
                                         <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'isActive')}</td>
@@ -180,5 +197,71 @@
 
                                     <tr class="prop">
-                                        <td valign="top" class="name">Spare For:</td>
+                                        <td valign="top" class="groupName">Obsolete:</td>
+                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'isObsolete')}</td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Enable Reorder Listing:</td>
+                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'enableReorderListing')}</td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Reorder Point:</td>
+                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'reorderPoint')}</td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Reorder Quantity:</td>
+                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'reorderQuantity')}</td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Estimated Unit Price:</td>
+
+                                        <td valign="top" class="value">
+                                            <g:if test="${inventoryItemInstance.estimatedUnitPriceAmount}">
+                                                ${inventoryItemInstance.estimatedUnitPriceAmount.encodeAsHTML()}
+                                                ${inventoryItemInstance.estimatedUnitPriceCurrency.encodeAsHTML()}
+                                            </g:if>
+                                        </td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Suppliers Part Number:</td>
+                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'suppliersPartNumber')}</td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Preferred Supplier:</td>
+
+                                        <td  valign="top" style="text-align:left;" class="value">
+                                            <g:link controller="supplierDetailed" action="show" id="${inventoryItemInstance.preferredSupplier?.id}">
+                                                ${inventoryItemInstance.preferredSupplier?.encodeAsHTML()}
+                                            </g:link>
+                                        </td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Alternate Suppliers:</td>
+
+                                        <td  valign="top" style="text-align:left;" class="value">
+                                            <ul>
+                                            <g:each var="s" in="${ inventoryItemInstance.alternateSuppliers.sort { p1, p2 -> p1.name.compareToIgnoreCase(p2.name) } }">
+                                                <li><g:link controller="supplierDetailed" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
+                                            </g:each>
+                                            </ul>
+                                        </td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupHeader">
+                                            <label for="name">Spare For</label>
+                                        </td>
+                                        <td valign="top" class="value">
+                                        </td>
+                                    </tr>
+
+                                    <tr class="prop">
+                                        <td valign="top" class="groupName">Assets:</td>
 
                                         <td  valign="top" style="text-align:left;" class="value">
@@ -206,97 +289,4 @@
                     </richui:tabContent>
 <!-- End Inventory tab -->
-
-<!-- Start Detail tab -->
-                    <richui:tabContent>
-
-                        <div class="dialog">
-                            <table>
-                                <tbody>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Id:</td>
-                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'id')}</td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Obsolete:</td>
-                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'isObsolete')}</td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Inventory Group:</td>
-                                        <td valign="top" class="value">${inventoryItemInstance.inventoryGroup?.encodeAsHTML()}</td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Inventory Type:</td>
-                                        <td valign="top" class="value">${inventoryItemInstance.inventoryType?.encodeAsHTML()}</td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Reorder Point:</td>
-                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'reorderPoint')}</td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Enable Reorder Listing:</td>
-                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'enableReorderListing')}</td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Reorder Quantity:</td>
-                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'reorderQuantity')}</td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Estimated Unit Price:</td>
-
-                                        <td valign="top" class="value">
-                                            <g:if test="${inventoryItemInstance.estimatedUnitPriceAmount}">
-                                                ${inventoryItemInstance.estimatedUnitPriceAmount.encodeAsHTML()}
-                                                ${inventoryItemInstance.estimatedUnitPriceCurrency.encodeAsHTML()}
-                                            </g:if>
-                                        </td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Suppliers Part Number:</td>
-                                        <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'suppliersPartNumber')}</td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Preferred Supplier:</td>
-
-                                        <td  valign="top" style="text-align:left;" class="value">
-                                            <g:link controller="supplierDetailed" action="show" id="${inventoryItemInstance.preferredSupplier?.id}">
-                                                ${inventoryItemInstance.preferredSupplier?.encodeAsHTML()}
-                                            </g:link>
-                                        </td>
-                                    </tr>
-
-                                    <tr class="prop">
-                                        <td valign="top" class="name">Alternate Suppliers:</td>
-
-                                        <td  valign="top" style="text-align:left;" class="value">
-                                            <ul>
-                                            <g:each var="s" in="${ inventoryItemInstance.alternateSuppliers.sort { p1, p2 -> p1.name.compareToIgnoreCase(p2.name) } }">
-                                                <li><g:link controller="supplierDetailed" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
-                                            </g:each>
-                                            </ul>
-                                        </td>
-                                    </tr>
-
-                                </tbody>
-                            </table>
-                        </div>
-                        <div class="buttons">
-                            <g:form>
-                                <g:hiddenField name="id" value="${inventoryItemInstance.id}" />
-                                <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
-                                <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
-                            </g:form>
-                        </div>
-                    </richui:tabContent>
-<!-- End Detail tab -->
 
 <!-- Start Movement tab -->
